import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import * as appstate from '../../appstate.js';
declare global {
    interface HTMLElementTagNameMap {
        'ops-view-networktargets': OpsViewNetworkTargets;
    }
}
export declare class OpsViewNetworkTargets extends DeesElement {
    accessor profilesState: appstate.IProfilesTargetsState;
    constructor();
    connectedCallback(): Promise<void>;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private showCreateTargetDialog;
    private showEditTargetDialog;
    private deleteTarget;
}
